plugins {
    id("com.android.application")
    kotlin("android")
}

android {
    compileSdk = 30

    defaultConfig {
        applicationId = "com.alorma.settingslib"
        minSdk = 23
        targetSdk = 30
        versionCode = 1
        versionName = "1.0"
    }

    compileOptions {
        isCoreLibraryDesugaringEnabled = true
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_1_8.toString()
        useIR = true
        freeCompilerArgs = freeCompilerArgs + listOf(
            "-Xopt-in=kotlin.RequiresOptIn",
            "-Xopt-in=kotlin.Experimental",
            "-Xuse-experimental=kotlin.Experimental"
        )
    }
    buildFeatures {
        compose = true
    }

    composeOptions {
        kotlinCompilerExtensionVersion = "1.0.0-rc01"
    }

    lint {
        isCheckReleaseBuilds = false
        isAbortOnError = false
    }
}

dependencies {
    coreLibraryDesugaring("com.android.tools:desugar_jdk_libs:1.1.5")

    implementation(project(":compose-settings"))

    implementation("androidx.activity:activity-compose:1.3.0-alpha08")

    implementation("androidx.compose.foundation:foundation:1.0.0-rc01")
    implementation("androidx.compose.foundation:foundation-layout:1.0.0-rc01")
    implementation("androidx.compose.ui:ui:1.0.0-rc01")
    implementation("androidx.compose.material:material:1.0.0-rc01")
    implementation("androidx.compose.ui:ui-tooling:1.0.0-rc01")

    implementation("androidx.core:core-ktx:1.5.0")
    implementation("androidx.appcompat:appcompat:1.4.0-alpha01")
    implementation("com.google.android.material:material:1.3.0")
    implementation("androidx.compose.material:material-icons-extended:1.0.0-rc01")
    implementation("androidx.navigation:navigation-compose:2.4.0-alpha01")

    implementation("androidx.preference:preference:1.1.1")

    implementation("androidx.lifecycle:lifecycle-runtime-ktx:2.3.1")

}